<template>
  <div>
    <div class="Dialog" v-show="!selecting">
      <div class="DialogTit">
        <span @click="close()" class="iconfont">&#xe6e9;</span>
        <h1 class="name">双人核对</h1>
        <span @click="commitInfo" class="success">保存</span>
      </div>
      <div style="height: 8rem" class="DialogContent choose">
 
        <van-collapse v-model="activeNames" accordion>
          <div>
            <van-cell title="透析物品核查">
              <template #right-icon>
                <van-radio-group
                  v-model="doubleReview.dialysis_item_check"
                  @change="changeRadio"
                  class="checkicon_c"
                  style="font-size: 16px"
                >
                  <van-radio name="1" style="font-size: 16px">正确</van-radio>
                </van-radio-group>
              </template>
            </van-cell>
            <van-field
              v-model="doubleReview.dialysis_item_desc"
              label="差错描述"
            />
            <van-checkbox-group v-model="result" @change="toCheck">
              <van-checkbox name="a"
                >透析器/灌流器:<span v-if="prescription_prop != null"
                  >{{ prescription_prop.dialyzer_perfusion_apparatus
                  }}{{ prescription_prop.dialysis_dialyszers
                  }}{{ prescription_prop.dialysis_irrigation }}</span
                ></van-checkbox>
              <van-field v-model="doubleReview.dialyzer_batch_number" label="批号:" v-if="isShow('批号')" />   
              <van-checkbox name="b"
                >穿刺针:<span v-if="predialysis != null">{{
                  predialysis.puncture_needle
                }}</span></van-checkbox
              >
              <van-field v-model="doubleReview.needle_batch_number" label="批号:" v-if="isShow('批号')"/>
              <van-checkbox name="c"
                >透析液配方:<span v-if="prescription_prop != null">{{
                  GetDialysateFormulationById(
                    prescription_prop.dialysate_formulation
                  )
                }}</span></van-checkbox
              >
              <van-checkbox name="d"
                >钾:<span v-if="prescription_prop != null">{{
                  prescription_prop.kalium
                }}</span></van-checkbox
              >
              <van-checkbox name="e"
                >钙:<span v-if="prescription_prop != null">{{
                  prescription_prop.calcium
                }}</span></van-checkbox
              >
            </van-checkbox-group>
          </div>
          <div>
            <van-cell title="透析参数核查">
              <template #right-icon>
                <van-radio-group
                  v-model="doubleReview.dialysis_parameter_check"
                  @change="changeRadioOne"
                  class="checkicon_c"
                >
                  <van-radio name="1">正确</van-radio>
                </van-radio-group>
              </template>
            </van-cell>
            <van-field
              v-model="doubleReview.dialysis_parameter_desc"
              label="差错描述"
            />
            <van-checkbox-group v-model="resultOne" @change="toCheckOne">
              <van-checkbox name="a"
                >透析模式:<span v-if="prescription_prop != null">{{
                  getMode(prescription_prop.mode_id)
                }}</span></van-checkbox
              >
              <van-checkbox name="b"
                >透析时长:<span v-if="prescription_prop != null"
                  >{{ prescription_prop.dialysis_duration_hour }}小时{{
                    prescription_prop.dialysis_duration_minute
                  }}分</span
                ></van-checkbox
              >
              <van-checkbox name="c"
                >目标超滤量:<span v-if="prescription_prop != null">{{
                  prescription_prop.target_ultrafiltration
                    ? prescription_prop.target_ultrafiltration
                    : ""
                }}</span></van-checkbox
              >

              <van-checkbox name="m"
                v-if="this.$store.getters.user.template_info.org_id ==10469"
                >处方脱水量:<span v-if="prescription_prop != null">{{
                  prescription_prop.prescription_water
                    ? prescription_prop.prescription_water
                    : ""
                }}</span></van-checkbox
              >
              <van-checkbox name="d"
                >抗凝剂:<span v-if="prescription_prop != null">{{
                  getAnticoagulant(prescription_prop.anticoagulant)
                }}</span></van-checkbox
              >
              <van-checkbox name="e"
                >首剂:<span v-if="prescription_prop != null">{{
                  prescription_prop.anticoagulant_shouji
                }}</span></van-checkbox
              >
              <van-checkbox name="f"
                >维持:<span v-if="prescription_prop != null">{{
                  prescription_prop.anticoagulant_weichi
                }}</span></van-checkbox
              >
              <van-checkbox name="g"
                >总量:<span v-if="prescription_prop != null">{{
                  prescription_prop.anticoagulant_zongliang
                }}</span></van-checkbox
              >
              <van-checkbox name="h"
                >置换液:<span v-if="prescription_prop != null">{{
                  prescription_prop.displace_liqui_part
                    ? prescription_prop.displace_liqui_part
                    : ""
                }}</span></van-checkbox
              >
              <van-checkbox name="i"
                >置换量:<span v-if="prescription_prop != null">{{
                  prescription_prop.replacement_total
                    ? prescription_prop.replacement_total
                    : ""
                }}</span></van-checkbox
              >
              <van-checkbox name="j"
                >处方血流量:<span v-if="prescription_prop != null">{{
                  prescription_prop.blood_flow_volume
                    ? prescription_prop.blood_flow_volume
                    : ""
                }}</span></van-checkbox
              >
              <van-checkbox name="k"
                >透析液流量:<span v-if="prescription_prop != null">{{
                  prescription_prop.dialysate_flow
                    ? prescription_prop.dialysate_flow
                    : ""
                }}</span></van-checkbox
              >
              <van-checkbox name="l"
                >置换液总量:<span v-if="prescription_prop != null">{{
                  prescription_prop.displace_liqui_value
                    ? prescription_prop.displace_liqui_value
                    : ""
                }}</span></van-checkbox
              >
            </van-checkbox-group>
          </div>
          <div>
            <van-cell title="血管通路核查">
              <template #right-icon>
                <van-radio-group
                  v-model="doubleReview.vascular_access_verification"
                  @change="changeRadioTwo"
                  class="checkicon_c"
                >
                  <van-radio name="1">正确</van-radio>
                </van-radio-group>
              </template>
            </van-cell>
            <van-field
              v-model="doubleReview.vascular_access_desc"
              label="差错描述"
            />
            <van-checkbox-group v-model="resultTwo" @change="toCheckTwo">
              <van-checkbox name="a"
                >通路类型:<span v-if="predialysis != null">{{
                  getBloodAccess(predialysis.blood_access_part_opera_id)
                }}</span></van-checkbox
              >
              <van-checkbox name="b">动静脉接错</van-checkbox>
              <van-checkbox name="c">渗血</van-checkbox>
              <van-checkbox name="d">压迫</van-checkbox>
              <van-checkbox name="e">折叠</van-checkbox>
              <van-checkbox name="f">滑脱</van-checkbox>
            </van-checkbox-group>
          </div>
          <div>
            <van-cell title="管道连接核查">
              <template #right-icon>
                <van-radio-group
                  v-model="doubleReview.pipeline_connection_check"
                  @change="changeRadioThree"
                  class="checkicon_c"
                >
                  <van-radio name="1" style="font-size: 16px">正确</van-radio>
                </van-radio-group>
              </template>
            </van-cell>
            <van-field
              v-model="doubleReview.pipeline_connection_desc"
              label="差错描述"
            />
            <van-checkbox-group v-model="resultThree" @change="toCheckThree">
              <van-checkbox name="a">泵前补液测管未夹</van-checkbox>
              <van-checkbox name="b">肝素管夹未开启</van-checkbox>
              <van-checkbox name="c">透析液连接错误</van-checkbox>
              <van-checkbox name="d">动静脉壶页面不标准</van-checkbox>
              <van-checkbox name="e">静脉管道未夹入保护夹</van-checkbox>
              <van-checkbox name="f">压力传感器夹未打开</van-checkbox>
              <van-checkbox name="i">接口连接松动</van-checkbox>
              <van-checkbox name="j">管路打折</van-checkbox>
              <van-checkbox name="k">肝素补液口未双保险夹闭</van-checkbox>
            </van-checkbox-group>
          </div>
          <van-field
           v-if="this.$store.getters.user.template_info.org_id!=10721 && this.$store.getters.user.template_info.org_id!=10164" 
            v-model="first_check_time_str"
            readonly
            @click="selectFirstCheckTimeAction"
            label="第一核对时间"
            input-align="right"
          />
          <van-cell title="第一核对人员" style="font-size: 16px">
            <template #label>
              <van-radio-group
                class="doctorList"
                v-model="doubleReview.creater"
              >
                <van-radio
                  style="font-size: 16px"
                  :name="item.id"
                  v-for="(item, index) in admin_map"
                  :key="index"
                  v-if="item.status === 1"
                  >{{ item.name }}</van-radio
                >
              </van-radio-group>
            </template>
          </van-cell>
          <van-field
            v-if="this.$store.getters.user.template_info.org_id!=10721 && this.$store.getters.user.template_info.org_id!=10164" 
            v-model="check_time_str"
            readonly
            @click="selectSecondCheckTimeAction"
            label="第二核对时间"
            input-align="right"
          />
          <van-cell title="第二核对人员"  v-if="this.$store.getters.user.template_info.org_id!=10721 && this.$store.getters.user.template_info.org_id!=10164">
            <template #label>
              <van-radio-group
                class="doctorList"
                v-model="doubleReview.modifier"
              >
                <van-radio
                  style="font-size: 16px"
                  :name="item.id"
                  v-for="(item, index) in admin_map"
                  :key="index"
                  v-if="item.status === 1"
                  >{{ item.name }}</van-radio
                >
              </van-radio-group>
            </template>
          </van-cell>
          <div>
            <p
              style="margin: 10px 0 10px 13px; font-size: 0.525rem"
              v-if="doubleReview.creater != 0 && doubleReview.id > 0"
            >
              {{ getFirstCheckDesc() }}
            </p>
            <p
              style="margin: 10px 0 10px 13px; font-size: 0.525rem"
              v-if="doubleReview.modifier != 0 && doubleReview.id > 0"
            >
              {{ getScondCheckDesc() }}
            </p>
          </div>
          <van-field
            v-model="doubleReview.employee_number"
            label="第二核对人员工号"
            v-if="isShow('第二核对人员工号')"
          />
        </van-collapse>

        <el-form
          :inline="true"
          class="demo-form-inline doubleForm"
          :model="doubleReview"
          label-width="3.5rem"
        >
          <p
            style="margin: 10px 0 10px 13px; font-size: 0.4rem"
            v-if="doubleReview.creater != 0 && doubleReview.id > 0"
          >
            {{ getFirstCheckDesc() }}
          </p>
          <p
            style="margin: 10px 0 10px 13px; font-size: 0.4rem"
            v-if="doubleReview.modifier != 0 && doubleReview.id > 0"
          >
            {{ getScondCheckDesc() }}
          </p>
        </el-form>
      </div>
    </div>
    <mt-datetime-picker
      class="double_check_dialog"
      ref="first_check_time_picker"
      type="datetime"
      @confirm="didSelectFirstCheckTime"
      v-model="first_check_time"
    ></mt-datetime-picker>

    <mt-datetime-picker
      class="double_check_dialog"
      ref="second_check_time_picker"
      type="datetime"
      @confirm="didSelectCheckTime"
      v-model="check_time"
    ></mt-datetime-picker>
    <two-menu ref="selector"></two-menu>

    <infor-sub-menu
      :visibility="infor_visibility"
      v-on:menu-cancle-three="menuCancleFour"
      v-on:menu-comfirm-three="menuComfirmFour"
      >
     </infor-sub-menu>
  </div>
</template>

<script>
import { commitDoubleCheck,saveMobileInformation } from '@/api/dialysis'
import { Toast } from 'vant'
import { uParseTime } from '@/utils/tools'
import { parseTime } from '@/utils'
import TwoMenu from './TwoMenu'
import { constants } from 'crypto'
import { getDataConfig } from '@/utils/data'
import InforSubMenu from './subMenu/InforSubMenu'
export default {
  name: 'DoubleDialog',
  components: { TwoMenu,InforSubMenu },
  data () {
    return {
      selecting: false,
      activeNames: '1',
      admin_users: [],
      first_check_isShow: false,
      second_check_isShow: false,
      first_check_desc: '',
      second_check_desc: '',
      creater: this.$store.getters.user.admin.id,
      modifier: '',

      firstTimeStamp: 0,
      secondTimeStamp: 0,

      doubleReview: {
        dialysis_item_check: '1',
        dialysis_parameter_check: '1',
        vascular_access_verification: '1',
        pipeline_connection_check: '1',
        dialysis_item_desc: '',
        dialysis_parameter_desc: '',
        vascular_access_desc: '',
        pipeline_connection_desc: '',
        collator: '',

        creater: this.$store.getters.user.admin.id,
        modifier: '',
        created_time: 0,
        updated_time: 0,
        check_time: 0,
        first_check_time: 0,
        employee_number: '',
        dialyzer_batch_number:"",
        needle_batch_number:"",
      },
      check_time: new Date(),
      first_check_time: new Date(),
      check_time_str: '',
      first_check_time_str: '',

      patient: {
        id: 0
      },
      doctor: '',
      record_date: '',
      checked: '',

      mode_check: '',
      longtime_check: '',
      target_check: '',
      anticoagulant_check: '',
      shouji_check: '',
      weichi_check: '',
      zongliang_check: '',
      displacement_check: '',
      total_check: '',
      prescription_check: '',
      dialysis_flow_check: '',
      pathway_check: '',
      arteriovenous_check: '',
      staxis_check: '',
      oppress_check: '',
      fold_check: '',
      glide_check: '',
      pump_check: '',
      heparin_check: '',
      connection_check: '',
      standard_check: '',
      clampe_check: '',
      pressure_check: '',
      interface_check: '',
      discount_check: '',
      supplementation_check: '',
      dialyzator_checke: '',
      needle_checke: '',
      formulation_checke: '',
      kalium_checke: '',
      autunite_checke: '',
      result: [],
      dialysateFormulationOptions: [],
      resultOne: [],
      resultTwo: [],
      resultThree: [],
      resultFour: [],
      infor_visibility:false,
    }
  },
  props: {
    record: {
      type: Object,
      default: () => {
        return { id: 0 }
      }
    },
    admin_map: {
      type: Object
    },
    admins: {
      type: Array
    },

    patient_prop: {
      type: Object
    },
    admin_users_prop: {
      type: Array
    },
    predialysis: {
      type: Object
    },
    prescription_prop: {
      type: Object
    }
  },
  created () {
    if (this.record.id != 0) {
      if (this.record.dialysis_item_desc.indexOf('透析器/灌流器') != -1) {
        this.result.push('a')
      }

      if (this.record.dialysis_item_desc.indexOf('穿刺针') != -1) {
        this.result.push('b')
      }
      if (this.record.dialysis_item_desc.indexOf('透析液配方') != -1) {
        this.result.push('c')
      }

      if (this.record.dialysis_item_desc.indexOf('钾') != -1) {
        this.result.push('d')
      }

      if (this.record.dialysis_item_desc.indexOf('钾') != -1) {
        this.result.push('e')
      }

      if (this.record.dialysis_parameter_desc.indexOf('透析模式') != -1) {
        this.resultOne.push('a')
      }
      if (this.record.dialysis_parameter_desc.indexOf('透析时长') != -1) {
        this.resultOne.push('b')
      }
      if (this.record.dialysis_parameter_desc.indexOf('目标超滤量') != -1) {
        this.resultOne.push('c')
      }
      if (this.record.dialysis_parameter_desc.indexOf('抗凝剂') != -1) {
        this.resultOne.push('d')
      }
      if (this.record.dialysis_parameter_desc.indexOf('首剂') != -1) {
        this.resultOne.push('e')
      }
      if (this.record.dialysis_parameter_desc.indexOf('维持') != -1) {
        this.resultOne.push('f')
      }
      if (this.record.dialysis_parameter_desc.indexOf('总量') != -1) {
        this.resultOne.push('g')
      }
      if (this.record.dialysis_parameter_desc.indexOf('置换液') != -1) {
        this.resultOne.push('h')
      }
      if (this.record.dialysis_parameter_desc.indexOf('置换总量') != -1) {
        this.resultOne.push('i')
      }
      if (this.record.dialysis_parameter_desc.indexOf('处方血流量') != -1) {
        this.resultOne.push('j')
      }
      if (this.record.dialysis_parameter_desc.indexOf('透析液流量') != -1) {
        this.resultOne.push('k')
      }

      if (this.record.vascular_access_desc.indexOf('通路类型') != -1) {
        this.resultThree.push('a')
      }
      if (this.record.vascular_access_desc.indexOf('动静脉接错') != -1) {
        this.resultThree.push('b')
      }
      if (this.record.vascular_access_desc.indexOf('渗血') != -1) {
        this.resultThree.push('c')
      }
      if (this.record.vascular_access_desc.indexOf('压迫') != -1) {
        this.resultThree.push('d')
      }
      if (this.record.vascular_access_desc.indexOf('折叠') != -1) {
        this.resultThree.push('e')
      }
      if (this.record.vascular_access_desc.indexOf('滑脱') != -1) {
        this.resultThree.push('f')
      }

      if (
        this.record.pipeline_connection_desc.indexOf('泵前补液测管未夹') != -1
      ) {
        this.resultFour.push('a')
      }
      if (
        this.record.pipeline_connection_desc.indexOf('肝素管夹未开启') != -1
      ) {
        this.resultFour.push('b')
      }
      if (
        this.record.pipeline_connection_desc.indexOf('透析液连接错误') != -1
      ) {
        this.resultFour.push('c')
      }
      if (
        this.record.pipeline_connection_desc.indexOf('动静脉壶页面不标准') != -1
      ) {
        this.resultFour.push('d')
      }
      if (
        this.record.pipeline_connection_desc.indexOf('静脉管道未夹入保护夹') !=
        -1
      ) {
        this.resultFour.push('e')
      }
      if (
        this.record.pipeline_connection_desc.indexOf('压力传感器夹未打开') != -1
      ) {
        this.resultFour.push('f')
      }
      if (this.record.pipeline_connection_desc.indexOf('接口连接松动') != -1) {
        this.resultFour.push('i')
      }
      if (this.record.pipeline_connection_desc.indexOf('管路打折') != -1) {
        this.resultFour.push('j')
      }
      if (
        this.record.pipeline_connection_desc.indexOf(
          '肝素补液口未双保险夹闭'
        ) != -1
      ) {
        this.resultFour.push('k')
      }
    }

    this.admin_users = this.admin_users_prop
    if (this.record.id == '') {
      this.doubleReview.dialysis_item_check = '1'
      this.doubleReview.dialysis_parameter_check = '1'
      this.doubleReview.vascular_access_verification = '1'
      this.doubleReview.pipeline_connection_check = '1'
      this.doubleReview.dialysis_item_desc = ''
      this.doubleReview.dialysis_parameter_desc = ''
      this.doubleReview.vascular_access_desc = ''
      this.doubleReview.pipeline_connection_desc = ''
     
      // 针对长沙南雅 第一核对人默认上机护士
      if (this.$store.getters.user.template_info.org_id == 9671 || this.$store.getters.user.template_info.org_id == 10340) {
        if (this.dialysis_order != null) {
          this.doubleReview.creater = this.dialysis_order.start_nurse
        }
      }
    } else {
      this.doubleReview.dialysis_item_check =
        this.record.dialysis_item_check + ''
      this.doubleReview.dialysis_parameter_check =
        this.record.dialysis_parameter_check + ''
      this.doubleReview.vascular_access_verification =
        this.record.vascular_access_verification + ''
      this.doubleReview.pipeline_connection_check =
        this.record.pipeline_connection_check + ''
      this.doubleReview.dialysis_item_desc = this.record.dialysis_item_desc
      this.doubleReview.dialysis_parameter_desc =
        this.record.dialysis_parameter_desc
      this.doubleReview.vascular_access_desc = this.record.vascular_access_desc
      this.doubleReview.pipeline_connection_desc =
        this.record.pipeline_connection_desc

      this.doubleReview.created_time = this.record.created_time
      this.doubleReview.creater = this.record.creater
      this.doubleReview.updated_time = this.record.updated_time
      this.doubleReview.modifier = this.record.modifier
      this.doubleReview.check_time = this.record.check_time
      this.doubleReview.first_check_time = this.record.first_check_time
      this.doubleReview.id = this.record.id
      this.doubleReview.employee_number = this.record.employee_number
      this.doubleReview.dialyzer_batch_number = this.record.dialyzer_batch_number
      this.doubleReview.needle_batch_number = this.record.needle_batch_number
      this.creater = this.record.creater
      this.modifier = this.record.modifier

      this.first_check_time_str = uParseTime(
        this.doubleReview.first_check_time,
        '{y}-{m}-{d}  {h}:{i}' + ':00'
      )
      console.log('o2o2oo323oo232o3o时间', this.first_check_time_str)
      if (
        this.$store.getters.user.admin.id == this.record.creater ||
        this.record.modifier > 0
      ) {
        if (this.doubleReview.check_time != 0) {
          this.check_time_str = uParseTime(
            this.doubleReview.check_time,
            '{y}-{m}-{d}  {h}:{i}' + ':00'
          )
        }
      } else if (
        this.$store.getters.user.admin.id != this.record.creater &&
        this.record.modifier == 0
      ) {
        this.check_time_str = uParseTime(
          new Date(),
          '{y}-{m}-{d}  {h}:{i}' + ':00'
        )
        this.modifier = this.$store.getters.user.admin.id
        this.doubleReview.modifier = this.$store.getters.user.admin.id
      }
    }

    var date = this.$route.query && this.$route.query.date
    date *= 1000
    var newDate = new Date(date)
    var y = newDate.getFullYear()
    var m = newDate.getMonth() + 1
    var d = newDate.getDate()
    if (isNaN(y) || isNaN(m) || isNaN(d)) {
      newDate = new Date()
      y = newDate.getFullYear()
      m = newDate.getMonth() + 1
      d = newDate.getDate()
    }
    this.record_date =
      y + '-' + (m < 10 ? '0' + m : m) + '-' + (d < 10 ? '0' + d : d)
    // this.patient.id = this.patient_prop.id

    this.dialysateFormulationOptions = getDataConfig(
      'hemodialysis',
      'dialysate_formulation'
    )
  },
  methods: {
    select_first_checker: function () {
      if (this.doubleReview.id != 0) {
        this.selecting = true
        var t = this
        this.$refs.selector.showSingleSelect(
          this.admins,
          this.doubleReview.creater,
          '选择第一次核对人',
          'name',
          'id',
          function (select_id) {
            t.doubleReview.creater = select_id
            t.creater = select_id
          },
          function () {
            t.selecting = false
          }
        )
      }
      this.selecting = true
      var t = this
      this.$refs.selector.showSingleSelect(
        this.admins,
        this.doubleReview.creater,
        '选择第一次核对人',
        'name',
        'id',
        function (select_id) {
          t.doubleReview.creater = select_id
          t.creater = select_id
        },
        function () {
          t.selecting = false
        }
      )
    },
    select_second_checker: function () {
      if (this.doubleReview.id != 0) {
        this.selecting = true
        var t = this
        this.$refs.selector.showSingleSelect(
          this.admins,
          this.doubleReview.modifier,
          '选择第二次核对人',
          'name',
          'id',
          function (select_id) {
            t.doubleReview.modifier = select_id
            t.modifier = select_id
          },
          function () {
            t.selecting = false
          }
        )
      }
      this.selecting = true
      var t = this
      this.$refs.selector.showSingleSelect(
        this.admins,
        this.doubleReview.modifier,
        '选择第二次核对人',
        'name',
        'id',
        function (select_id) {
          t.doubleReview.modifier = select_id
          t.modifier = select_id
        },
        function () {
          t.selecting = false
        }
      )
    },
    didSelectFirstCheckTime: function (time) {
      this.first_check_time_str = parseTime(
        time,
        '{y}-{m}-{d} {h}:{i}' + ':00'
      )
    },
    didSelectCheckTime: function (time) {
      this.check_time_str = parseTime(time, '{y}-{m}-{d} {h}:{i}' + ':00')
    },
    selectFirstCheckTimeAction: function () {
      this.$refs.first_check_time_picker.open()
    },
    selectSecondCheckTimeAction: function () {
      this.$refs.second_check_time_picker.open()
    },
    checkInf: function () {},
    // initData(doubleReview, patient, doctor) {
    //   //上层传值
    //   this.patient = patient;
    //   this.doubleReview = doubleReview;
    //   this.doctor = doctor;
    // },
    commitInfo: function () {
      var first_time = new Date(this.first_check_time_str).getTime()
      var second_time = new Date(this.check_time_str).getTime()
      
      if(this.$store.getters.user.template_info.org_id!=9671 && this.$store.getters.user.template_info.org_id!=10469){
        if (first_time >= second_time) {
          Toast.fail('第一次核对时间不能大于或等于第二次核对时间')
          return
        }
      }
     
      if (this.doubleReview.creater == this.doubleReview.modifier) {
        Toast.fail('第一次核对人和第二次核对人不能是同一个人')
        return
      }

      this.doubleReview.check_time = this.check_time_str
      this.doubleReview.first_check_time = this.first_check_time_str

      Toast.loading({ forbidClick: true, duration: 0 })
      let ParamsQuery = this.doubleReview
      // ParamsQuery["patient"] = this.patient.id
      ParamsQuery['mode'] = '1'
      ParamsQuery['patient'] = this.patient_prop.id
      ParamsQuery['record_date'] = this.record_date
      ParamsQuery['employee_number'] = this.doubleReview.employee_number
      ParamsQuery['dialyzer_batch_number'] = this.doubleReview.dialyzer_batch_number
      ParamsQuery['needle_batch_number'] = this.doubleReview.needle_batch_number
      console.log(this.record)
      if (this.record.id > 0) {
        ParamsQuery['mode'] = '2'
      }
      console.log('Prasmquery', ParamsQuery)
      commitDoubleCheck(ParamsQuery)
        .then((response) => {
          if (response.data.state == 0) {
            // this.$toast({message: response.data.msg});
            Toast.fail(response.data.msg)
            if(response.data.code == 600000008){
              this.selecting = true
              this.infor_visibility = true
            }
            return false
          } else {
            Toast.success('提交成功')
            this.record = Object.assign({}, response.data.data.doubleCheck)
            this.doubleReview = Object.assign(
              {},
              response.data.data.doubleCheck
            )
            if (response.data.data.msg == 2) {
              Toast.fail('请输入正确工号!')

              this.isCommit = true
              // this.$emit('did_update', response.data.data.doubleCheck)
              this.doubleReview.first_check_time = response.data.data.doubleCheck.first_check_time
              this.doubleReview.check_time_str = response.data.data.doubleCheck.check_date
              // this.doubleReview.creater = response.data.data.doubleCheck.creater
              // this.doubleReview.modifier = response.data.data.doubleCheck.modifier
              return false
            } else {
              Toast.success('提交成功')
              this.record = Object.assign({}, response.data.data.doubleCheck)
              this.doubleReview = Object.assign(
                {},
                response.data.data.doubleCheck
              )

              this.record['dialysis_item_check'] =
              this.record['dialysis_item_check'].toString()
              this.record['dialysis_parameter_check'] =
              this.record['dialysis_parameter_check'].toString()
              this.record['vascular_access_verification'] =
              this.record['vascular_access_verification'].toString()
              this.record['pipeline_connection_check'] =
              this.record['pipeline_connection_check'].toString()
              this.record['dialysis_item_check'] =
              this.record['dialysis_item_check'].toString()
              this.record['dialysis_parameter_check'] =
              this.record['dialysis_parameter_check'].toString()
              this.record['vascular_access_verification'] =
              this.record['vascular_access_verification'].toString()
              this.record['pipeline_connection_check'] =
              this.record['pipeline_connection_check'].toString()

              this.doubleReview['dialysis_item_check'] =
              this.doubleReview['dialysis_item_check'].toString()
              this.doubleReview['dialysis_parameter_check'] =
              this.doubleReview['dialysis_parameter_check'].toString()
              this.doubleReview['vascular_access_verification'] =
              this.doubleReview['vascular_access_verification'].toString()
              this.doubleReview['pipeline_connection_check'] =
              this.doubleReview['pipeline_connection_check'].toString()
              this.doubleReview['dialysis_item_check'] =
              this.doubleReview['dialysis_item_check'].toString()
              this.doubleReview['dialysis_parameter_check'] =
              this.doubleReview['dialysis_parameter_check'].toString()
              this.doubleReview['vascular_access_verification'] =
              this.doubleReview['vascular_access_verification'].toString()
              this.doubleReview['pipeline_connection_check'] =
              this.doubleReview['pipeline_connection_check'].toString()

              this.$emit('did_update', response.data.data.doubleCheck)
              this.$emit('did_update', response.data.data.doubleCheck)
            }
          }
        })
        .catch((error) => {
          Toast.fail('请求失败')
        })
    },
    close: function () {
      this.$emit('close')
    },
    getFirstCheckDesc: function () {
      if (
        this.doubleReview.first_check_time > 0 &&
            this.doubleReview.check_time > 0
      ) {
        if (this.doubleReview.first_check_time <= this.doubleReview.check_time) {
          let time = uParseTime(
            this.doubleReview.first_check_time,
            '{y}-{m}-{d}  {h}:{i}:{s}'
          )
          if (this.doubleReview.creater <= 0) {
            return ''
          }

          var desc = ''
          if (
            this.admin_users == null ||
                    typeof this.admin_users.length === 'undefined'
          ) {
            return ''
          }

          var leng = this.admin_users.length
          if (leng == 0) {
            return ''
          }

          for (let index = 0; index < leng; index++) {
            if (this.admin_users[index].id == this.doubleReview.creater) {
              let name = this.admin_users[index].name
              desc = '第一核对人员:' + name + ' 第一核对时间:' + time
              console.log('走着1', name)
              break
            }
          }
          return desc
        } else {
          let time = uParseTime(
            this.doubleReview.check_time,
            '{y}-{m}-{d}  {h}:{i}:{s}'
          )
          if (this.doubleReview.modifier <= 0) {
            return ''
          }

          var desc = ''
          if (
            this.admin_users == null ||
                    typeof this.admin_users.length === 'undefined'
          ) {
            return ''
          }

          var leng = this.admin_users.length
          if (leng == 0) {
            return ''
          }

          for (let index = 0; index < leng; index++) {
            if (this.admin_users[index].id == this.doubleReview.modifier) {
              let name = this.admin_users[index].name
              desc = '第一核对人员:' + name + ' 第一核对时间:' + time
              console.log('走着2', name)
              break
            }
          }
          return desc
        }
      } else {
        let time = uParseTime(
          this.doubleReview.first_check_time,
          '{y}-{m}-{d}  {h}:{i}:{s}'
        )
        if (this.doubleReview.creater <= 0) {
          return ''
        }

        var desc = ''
        if (
          this.admin_users == null ||
                typeof this.admin_users.length === 'undefined'
        ) {
          return ''
        }

        var leng = this.admin_users.length
        if (leng == 0) {
          return ''
        }

        for (let index = 0; index < leng; index++) {
          if (this.admin_users[index].id == this.doubleReview.creater) {
            let name = this.admin_users[index].name
            desc = '第一核对人员:' + name + ' 第一核对时间:' + time
            // console.log('走着',name)
            break
          }
        }
        return desc
      }
    },
    getScondCheckDesc: function () {
      if (this.record.modifier > 0) {
        if (
          this.doubleReview.first_check_time > 0 &&
          this.doubleReview.check_time > 0
        ) {
          if (
            this.doubleReview.first_check_time <= this.doubleReview.check_time
          ) {
            let time = uParseTime(
              this.doubleReview.check_time,
              '{y}-{m}-{d} {h}:{i}:{s}'
            )
            if (this.doubleReview.modifier <= 0) {
              return ''
            }
            var desc = ''
            if (
              this.admin_users == null ||
              typeof this.admin_users.length === 'undefined'
            ) {
              return desc
            }
            var leng = this.admin_users.length
            if (leng == 0) {
              return desc
            }
            for (let index = 0; index < leng; index++) {
              if (this.admin_users[index].id == this.doubleReview.modifier) {
                let name = this.admin_users[index].name
                desc = '第二核对人员:' + name + ' 第二核对时间:' + time
                break
              }
            }
            return desc
          } else {
            let time = uParseTime(
              this.doubleReview.first_check_time,
              '{y}-{m}-{d} {h}:{i}:{s}'
            )
            if (this.doubleReview.creater <= 0) {
              return ''
            }
            var desc = ''
            if (
              this.admin_users == null ||
              typeof this.admin_users.length === 'undefined'
            ) {
              return desc
            }
            var leng = this.admin_users.length
            if (leng == 0) {
              return desc
            }
            for (let index = 0; index < leng; index++) {
              if (this.admin_users[index].id == this.doubleReview.creater) {
                let name = this.admin_users[index].name
                desc = '第二核对人员:' + name + ' 第二核对时间:' + time
                break
              }
            }
            return desc
          }
        } else {
          let time = uParseTime(
            this.doubleReview.check_time,
            '{y}-{m}-{d} {h}:{i}:{s}'
          )
          if (this.doubleReview.modifier <= 0) {
            return ''
          }
          var desc = ''
          if (
            this.admin_users == null ||
            typeof this.admin_users.length === 'undefined'
          ) {
            return desc
          }
          var leng = this.admin_users.length
          if (leng == 0) {
            return desc
          }
          for (let index = 0; index < leng; index++) {
            if (this.admin_users[index].id == this.doubleReview.modifier) {
              let name = this.admin_users[index].name
              desc = '第二核对人员:' + name + ' 第二核对时间:' + time
              break
            }
          }
          return desc
        }
      }
    },
    getDate: function (val) {
      return parseTime(val, '{y}-{m}-{d} {h}:{i}')
    },
    toCheck (val) {
      console.log('val', val.length)
      console.log('透析处方', this.prescription_prop)
      console.log('透前评估', this.predialysis)
      var arr = []
      var str = val.join(';')

      if (str.indexOf('a') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '透析器/灌流器:' + this.prescription_prop.dialyzer_perfusion_apparatus
        )
      }
      if (str.indexOf('a') != -1 && this.prescription_prop.id == 0) {
        arr.push('透析器/灌流器:')
      }
      if (str.indexOf('b') != -1 && this.predialysis != null) {
        arr.push(
          '穿刺针:' +
            (this.predialysis.puncture_needle
              ? this.predialysis.puncture_needle
              : '')
        )
      }
      if (str.indexOf('b') != -1 && this.predialysis == null) {
        arr.push('穿刺针:')
      }
      if (
        str.indexOf('c') != -1 &&
        this.GetDialysateFormulationById(
          this.prescription_prop.dialysate_formulation
        ) != null
      ) {
        arr.push(
          '透析液配方:' +
            this.GetDialysateFormulationById(
              this.prescription_prop.dialysate_formulation
            )
        )
      }
      if (str.indexOf('d') != -1 && this.prescription_prop.id != 0) {
        arr.push('钾:' + this.prescription_prop.kalium)
      }
      if (str.indexOf('d') != -1 && this.prescription_prop.id == 0) {
        arr.push('钾:')
      }
      if (str.indexOf('e') != -1 && this.prescription_prop.id != 0) {
        arr.push('钙:' + this.prescription_prop.calcium)
      }
      if (str.indexOf('e') != -1 && this.prescription_prop.id == 0) {
        arr.push('钙:')
      }
      this.doubleReview.dialysis_item_desc = arr.join(';')
      if (val.length == 0) {
        this.doubleReview.dialysis_item_check = '1'
      } else {
        this.doubleReview.dialysis_item_check = 2
      }
    },
    toCheckOne (val) {
      var arr = []
      var str = val.join(';')
      console.log('str', str)
      if (str.indexOf('a') != -1 && this.prescription_prop.id != 0) {
        arr.push('透析模式:' + this.getMode(this.prescription_prop.mode_id))
      }
      if (str.indexOf('a') != -1 && this.prescription_prop.id == 0) {
        arr.push('透析模式:')
      }
      if (str.indexOf('b') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '透析时长:' +
            (this.prescription_prop.dialysis_duration_hour
              ? this.prescription_prop.dialysis_duration_hour
              : '') +
            '小时' +
            this.prescription_prop.dialysis_duration_minute +
            '分钟'
        )
      }
      if (str.indexOf('b') != -1 && this.prescription_prop.id == 0) {
        arr.push('透析时长:')
      }

      if (str.indexOf('c') != -1 && this.prescription_prop.id != 0) {
        arr.push('目标超滤量:' + this.prescription_prop.target_ultrafiltration)
      }
      if (str.indexOf('c') != -1 && this.prescription_prop.id == 0) {
        arr.push('目标超滤量:')
      }

      if (str.indexOf('m') != -1 && this.prescription_prop.id != 0) {
        arr.push('处方脱水量:' + this.prescription_prop.prescription_water)
      }
      if (str.indexOf('m') != -1 && this.prescription_prop.id == 0) {
        arr.push('处方脱水量:')
      }

      if (str.indexOf('d') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '抗凝剂:' +
            this.getAnticoagulant(this.prescription_prop.anticoagulant)
        )
      }
      if (str.indexOf('d') != -1 && this.prescription_prop.id == 0) {
        arr.push('抗凝剂:')
      }
      if (str.indexOf('e') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '首剂:' +
            (this.prescription_prop.anticoagulant_shouji
              ? this.prescription_prop.anticoagulant_shouji
              : '')
        )
      }
      if (str.indexOf('e') != -1 && this.prescription_prop.id == 0) {
        arr.push('首剂:')
      }
      if (str.indexOf('f') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '维持:' +
            (this.prescription_prop.anticoagulant_weichi
              ? this.prescription_prop.anticoagulant_weichi
              : '')
        )
      }
      if (str.indexOf('f') != -1 && this.prescription_prop.id == 0) {
        arr.push('维持:')
      }
      if (str.indexOf('g') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '总量:' +
            (this.prescription_prop.anticoagulant_zongliang
              ? this.prescription_prop.anticoagulant_zongliang
              : '')
        )
      }
      if (str.indexOf('g') != -1 && this.prescription_prop.id == 0) {
        arr.push('总量:')
      }

      if (str.indexOf('h') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '置换液:' +
            (this.prescription_prop.displace_liqui_part
              ? this.prescription_prop.displace_liqui_part
              : '')
        )
      }
      if (str.indexOf('h') != -1 && this.prescription_prop.id == 0) {
        arr.push('置换液:')
      }
      if (str.indexOf('i') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '置换总量:' +
            (this.prescription_prop.replacement_total
              ? this.prescription_prop.replacement_total
              : '')
        )
      }
      if (str.indexOf('i') != -1 && this.prescription_prop.id == 0) {
        arr.push('置换总量:')
      }
      if (str.indexOf('j') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '处方血流量:' +
            (this.prescription_prop.blood_flow_volume
              ? this.prescription_prop.blood_flow_volume
              : '')
        )
      }
      if (str.indexOf('j') != -1 && this.prescription_prop.id == 0) {
        arr.push('处方血流量:')
      }
      if (str.indexOf('k') != -1 && this.prescription_prop.id != 0) {
        arr.push(
          '透析液流量:' +
            (this.prescription_prop.dialysate_flow
              ? this.prescription_prop.dialysate_flow
              : '')
        )
      }
      if (str.indexOf('k') != -1 && this.prescription_prop.id == 0) {
        arr.push('透析液流量:')
      }

      this.doubleReview.dialysis_parameter_desc = arr.join(';')
      if (val.length == 0) {
        this.doubleReview.dialysis_parameter_check = '1'
      } else {
        this.doubleReview.dialysis_parameter_check = 2
      }
    },
    toCheckTwo (val) {
      var arr = []
      var str = val.join(';')
      console.log('str', str)
      if (str.indexOf('a') != -1) {
        arr.push(
          '通路类型:' +
            this.getBloodAccess(this.predialysis.blood_access_part_opera_id)
        )
      }
      if (str.indexOf('b') != -1) {
        arr.push('动静脉接错:')
      }
      if (str.indexOf('c') != -1) {
        arr.push('渗血')
      }
      if (str.indexOf('d') != -1) {
        arr.push('压迫')
      }
      if (str.indexOf('e') != -1) {
        arr.push('折叠')
      }
      if (str.indexOf('f') != -1) {
        arr.push('滑脱')
      }
      this.doubleReview.vascular_access_desc = arr.join(';')
      if (val.length == 0) {
        this.doubleReview.vascular_access_verification = '1'
      } else {
        this.doubleReview.vascular_access_verification = 2
      }
    },
    toCheckThree (val) {
      var arr = []
      var str = val.join(';')
      if (str.indexOf('a') != -1) {
        arr.push('泵前补液测管未夹:')
      }
      if (str.indexOf('b') != -1) {
        arr.push('肝素管夹未开启')
      }
      if (str.indexOf('c') != -1) {
        arr.push('透析液连接错误')
      }
      if (str.indexOf('d') != -1) {
        arr.push('动静脉壶页面不标准')
      }
      if (str.indexOf('e') != -1) {
        arr.push('静脉管道未夹入保护夹')
      }
      if (str.indexOf('f') != -1) {
        arr.push('压力传感器夹未打开')
      }
      if (str.indexOf('i') != -1) {
        arr.push('接口连接松动')
      }
      if (str.indexOf('j') != -1) {
        arr.push('管路打折')
      }
      if (str.indexOf('k') != -1) {
        arr.push('肝素补液口未双保险夹闭')
      }
      this.doubleReview.pipeline_connection_desc = arr.join(';')
      if (val.length == 0) {
        this.doubleReview.pipeline_connection_check = '1'
      } else {
        this.doubleReview.pipeline_connection_check = 2
      }
    },

    toNeedleCheck () {
      if (this.needle_checke == true) {
        this.doubleReview.dialysis_item_desc = 'abdddd'
      }
    },
    GetDialysateFormulationById: function (val) {
      let name = ''
      let dfl = this.dialysateFormulationOptions.length
      for (let index = 0; index < dfl; index++) {
        if (this.dialysateFormulationOptions[index].id == val) {
          name = this.dialysateFormulationOptions[index].name
          break
        }
      }
      return name
    },

    getMode (id) {
      var name = ''
      if (id == 1) {
        name = 'HD'
      }
      if (id == 2) {
        name = 'HDF'
      }

      if (id == 3) {
        name = 'HD+HP'
      }

      if (id == 4) {
        name = 'HP'
      }
      if (id == 5) {
        name = 'HF'
      }
      if (id == 6) {
        name = 'SCUF'
      }
      if (id == 7) {
        name = 'IUF'
      }
      if (id == 8) {
        name = 'HFHD'
      }

      if (id == 9) {
        name = 'HFHD+HP'
      }
      if (id == 10) {
        name = 'PHF'
      }

      if (id == 11) {
        name = 'HFR'
      }

      if (id == 12) {
        name = 'HDF+HP'
      }

      if (id == 13) {
        name = 'CRRT'
      }

      if (id == 14) {
        name = '腹水回输'
      }
      if (id == 19) {
        name = 'IUF+HD'
      }
      if (id == 20) {
        name = 'UF'
      }
      if (id == 21) {
        name = 'HD+'
      }
      if (id == 24) {
        name = 'I-HDF'
      }
      if (id == 25) {
        name = 'HD高通'
      }
      if (id == 26) {
        name = 'CVVH'
      }
      if (id == 27) {
        name = 'CVVHD'
      }
      if (id == 28) {
        name = 'CVVHDF'
      }
      return name
    },

    getAnticoagulant (id) {
      var name = ''
      if (id == 1) {
        name = '无肝素'
      }
      if (id == 2) {
        name = '普通肝素'
      }
      if (id == 3) {
        name = '低分子肝素'
      }
      if (id == 4) {
        name = '阿加曲班'
      }
      if (id == 5) {
        name = '枸橼酸钠'
      }
      if (id == 6) {
        name = '低分子肝素钙'
      }
      if (id == 7) {
        name = '低分子肝素钠'
      }
      if (id == 11) {
        name = '那屈肝素'
      }
      if (id == 12) {
        name = '无抗凝剂'
      }
      if (id == 14) {
        name = '肝素钙注射液'
      }
      if (id == 15) {
        name = '甲磺酸萘莫司他'
      }
      return name
    },
    getBloodAccess (id) {
      let vascular_access_desc_name = ''
      let vascular_access_desc = getDataConfig(
        'hemodialysis',
        'vascular_access_desc'
      )
      var name = ''
      for (let i = 0; i < vascular_access_desc.length; i++) {
        if (vascular_access_desc[i].id == id) {
          name = vascular_access_desc[i].name
        }
      }
      return name
    },
    changeRadio (val) {
      console.log('val222222', val)
      if (val == 1) {
        this.doubleReview.dialysis_item_desc = ''
        this.result = []
      }
    },
    changeRadioTwo (val) {
      if (val == 1) {
        this.doubleReview.dialysis_parameter_desc = ''
        this.resultOne = []
      }
    },
    changeRadioThree (val) {
      if (val == 1) {
        this.doubleReview.vascular_access_desc = ''
        this.resultThree = []
      }
    },
    changeRdioFour (val) {
      if (val == 1) {
        this.doubleReview.pipeline_connection_desc = ''
        this.resultFour = []
      }
    },
    isShow (name) {
      var filedList = this.$store.getters.user.fileds

      for (let i = 0; i < filedList.length; i++) {
        if (
          filedList[i].module == 8 &&
          filedList[i].filed_name_cn == name &&
          filedList[i].is_show == 1
        ) {
          return true
        }
      }
      return false
    },
    changeRadioOne (val) {
      if (val == 1) {
        this.doubleReview.dialysis_parameter_desc = ''
        this.resultOne = []
      }
    },
    menuCancleFour:function(){
     this.infor_visibility = false
    },
   menuComfirmFour:function(start_time,remark){
       var params = {
         patient_id:this.patient_prop.id,
         record_date:this.switchMsec(this.record_date),
         start_time:start_time,
         module:5,
         remark:remark,
       }
       console.log("params23323223wo",params)
      saveMobileInformation(params).then(response=>{
        if(response.data.state == 1){
           this.infor_visibility = false
           Toast.success('申请成功')
        }
      })
    },
    switchMsec (time){ // 日期转换成毫秒
      let date = new Date(time);
      // 有三种方式获取
      let time1 = date.getTime(); // 精确到毫秒;
      return (time1/1000)-28800
    },
  
  },
  mounted () {
    if (this.record.id == 0) {
      this.first_check_time_str = parseTime(
        this.check_time,
        '{y}-{m}-{d} {h}:{i}' + ':00'
      )
      console.log('this.first_check_time_str', this.first_check_time_str)
      if (
        this.record.creater &&
        this.$store.getters.user.admin.id != this.record.creater
      ) {
        this.check_time_str = parseTime(
          this.check_time,
          '{y}-{m}-{d} {h}:{i}' + ':00'
        )
        this.modifier = this.$store.getters.user.admin.id
      }
      this.doubleReview.check_time = this.check_time_str
      this.doubleReview.first_check_time = this.first_check_time_str

      if(this.$store.getters.user.template_info.org_id == 9671 || this.$store.getters.user.template_info.org_id == 10469){
        this.check_time_str = parseTime(this.check_time, '{y}-{m}-{d} {h}:{i}' + ':00')
      }
    }
  }
}
</script>

<style style="stylesheet/scss" lang="scss" scoped>
.choose {
  .van-collapse {
    .van-cell {
      padding: 0.425rem 0.425rem;
      font-size: 0.525rem;
      .checkicon_c {
        .van-radio {
          .van-radio__icon {
            font-size: 0.7rem !important;
          }
        }
      }
    }
    .van-checkbox-group {
      font-size: 0.525rem;
      .van-checkbox {
        .van-checkbox__label {
          font-size: 0.525rem !important;
        }
      }
    }
  }
  .demo-form-inline {
    border-bottom: 1px #e5e5e5 solid;
    .el-form-item {
      margin-bottom: 0;
      padding: 0.2rem 0.2rem;
      margin-right: 0;
    }
    p {
      color: $title-color;
    }
  }

  .button {
    text-align: center;
    margin-top: 1rem;
    .submitButton {
      width: 3rem;
      height: 0.8rem;
      line-height: 0.8rem;
      background: $main-color;
      color: #fff;
      font-size: 0.3rem;
      text-align: center;
      border-radius: 6px;
    }
  }
}
</style>
<style lang="scss" scoped>
.doubleForm {
  .el-radio__inner {
    @media only screen and (min-width: 768px) {
      width: 26px;
      height: 26px;
      margin-bottom: 4px;
    }
  }
  .newItem {
    display: flex !important;
    padding-top: 0 !important;
    .el-form-item__content {
      width: 100%;
    }
  }
}

.el-radio__input {
  @media only screen and (min-width: 768px) {
    margin-top: -6px;
  }
}
.demo-form-inline {
  p {
    font-size: 0.45rem;
  }
}
.doubleInput {
  .el-input__inner {
    font-size: 0.45rem;
  }
}
// .Dialog {
//   .DialogContent {
//     .van-collapse {
//       .van-cell {
//         padding: 0.25rem 0.5rem !important;
//         font-size: 0.5rem !important;
//         .van-cell__right-icon {
//           font-size: 0.5rem;
//         }
//         .van-cell__title {
//           .van-cell__label {
//             font-size: 0.5rem !important;
//             .doctorList .van-radio-group {
//               .van-radio {
//                 .van-radio__icon {
//                   font-size: 0.7rem !important;
//                 }
//               }
//             }
//           }
//         }
//       }
//       .van-collapse-item {
//         .van-cell {
//           padding: 0.25rem 0.5rem !important;
//           font-size: 0.5rem !important;
//           .van-cell__right-icon {
//             font-size: 0.5rem;
//           }
//           .van-cell__title {
//             .van-cell__label {
//               font-size: 0.5rem !important;
//               .doctorList .van-radio-group {
//                 .van-radio {
//                   .van-radio__icon {
//                     font-size: 0.7rem !important;
//                   }
//                 }
//               }
//             }
//           }
//         }
//         .van-collapse-item__wrapper {
//           .van-collapse-item__content {
//             padding: 0.25rem 0.5rem;
//             font-size: 0.5rem;
//             .van-radio-group {
//               .van-radio {
//                 .van-radio__icon {
//                   font-size: 0.8rem !important;
//                 }
//               }
//             }
//             .van-checkbox-group {
//               .van-checkbox {
//                 .van-checkbox__label {
//                   font-size: 0.5rem;
//                 }
//               }
//             }
//           }
//         }
//       }
//       .van-cell {
//         padding: 0.25rem 0.5rem !important;
//         font-size: 0.5rem !important;
//         .van-cell__right-icon {
//           font-size: 0.5rem;
//         }
//         .van-cell__value {
//           .van-field__body {
//             .van-field__control--right {
//               padding-right: 0;
//             }
//           }
//         }
//       }
//     }
//   }
// }
// .van-radio-group {
//   display: flex;
//   flex-wrap: wrap;
//   .van-radio {
//     width: 50%;
//     margin-bottom: 0.625rem;
//     .van-radio__icon {
//       font-size: 0.7rem !important;
//     }
//     .van-radio__label {
//       font-size: 0.53rem;
//     }
//   }
// }

.Dialog {
  .choose {
    .van-collapse {
      .van-cell {
        padding: 0.425rem 0.425rem;
        font-size: 0.525rem;
        .van-radio-group {
          .van-radio {
            .van-radio__icon {
              font-size: 0.7rem !important;
            }
          }
        }
      }
    }
  }
}
</style>

<style scoped>
.van-cell {
  padding: 0.425rem 0.425rem;
  font-size: 0.525rem;
}

/deep/ .van-cell .checkicon_c .van-radio .van-radio__icon {
  font-size: 0.725rem;
}
/deep/ .van-cell .doctorList .van-radio .van-radio__icon {
  font-size: 0.725rem;
}
/deep/ .choose .van-collapse div .van-cell .checkicon_c .van-radio {
  width: 100%;
}
/deep/ .choose .van-collapse div .van-checkbox-group .van-checkbox .van-checkbox__label{
  font-size: .525rem !important;
}

</style>

<style  scoped>
.double_check_dialog >>> .picker-item{font-size: .475rem ; }
</style>
